<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblNotificacionCMSRepository;

final class TblNotificacionCMSService
{
    private TblNotificacionCMSRepository $TblNotificacionCMSRepository;

    public function __construct(TblNotificacionCMSRepository $TblNotificacionCMSRepository)
    {
        $this->TblNotificacionCMSRepository = $TblNotificacionCMSRepository;
    }

    public function checkAndGet(int $TblNotificacionCMSId): object
    {
        return $this->TblNotificacionCMSRepository->checkAndGet($TblNotificacionCMSId);
    }

    public function getAll(): array
    {
        return $this->TblNotificacionCMSRepository->getAll();
    }

    public function getOne(int $TblNotificacionCMSId): object
    {
        return $this->checkAndGet($TblNotificacionCMSId);
    }

    public function create(array $input): object
    {
        $TblNotificacionCMS = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionCMSRepository->create($TblNotificacionCMS);
    }

    public function update(array $input, int $TblNotificacionCMSId): object
    {
        $TblNotificacionCMS = $this->checkAndGet($TblNotificacionCMSId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionCMSRepository->update($TblNotificacionCMS, $data);
    }

    public function delete(int $TblNotificacionCMSId): void
    {
        $this->checkAndGet($TblNotificacionCMSId);
        $this->TblNotificacionCMSRepository->delete($TblNotificacionCMSId);
    }
}
